org.codehaus.groovy.tools.groovydoc

## Class GroovyDocTool

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyDocTool

-     public class GroovyDocTool
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyDocTool(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String classTemplate)`
    `GroovyDocTool(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.List<LinkArgument> links, java.util.Properties properties)`
    `GroovyDocTool(java.lang.String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.util.List<java.lang.String> filenames)`
    `GroovyRootDoc` | `getRootDoc()`
    `void` | `renderToOutput(OutputTool output, java.lang.String destdir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDocTool

          public GroovyDocTool(java.lang.String[] sourcepaths)

      Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
      Parameters:
        `sourcepaths` - where the sources to be added can be found

    - #### GroovyDocTool

          public GroovyDocTool(ResourceManager resourceManager,
                       java.lang.String[] sourcepaths,
                       java.lang.String classTemplate)

    - #### GroovyDocTool

          public GroovyDocTool(ResourceManager resourceManager,
                       java.lang.String[] sourcepaths,
                       java.lang.String[] docTemplates,
                       java.lang.String[] packageTemplates,
                       java.lang.String[] classTemplates,
                       java.util.List<LinkArgument> links,
                       java.util.Properties properties)

  - ### Method Detail

    - #### add

          public void add(java.util.List<java.lang.String> filenames)
                   throws antlr.RecognitionException,
                          antlr.TokenStreamException,
                          java.io.IOException

      Throws:
        `antlr.RecognitionException`
        `antlr.TokenStreamException`
        `java.io.IOException`

    - #### getRootDoc

          public GroovyRootDoc getRootDoc()

    - #### renderToOutput

          public void renderToOutput(OutputTool output,
                            java.lang.String destdir)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`